package com.zcloud.service.bus.impl;

import java.util.List;

import com.zcloud.mapper.dsno1.risk.RiskPointMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.service.bus.RiskPointService;

/**
 * 说明：风险点台账
 * 作者：luoxiaobao
 * 时间：2020-12-29
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class RiskPointServiceImpl implements RiskPointService{

	@Autowired
	private RiskPointMapper riskpointMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		riskpointMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		riskpointMapper.delete(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteRes(PageData pd)throws Exception{
		riskpointMapper.deleteRes(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		riskpointMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return riskpointMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return riskpointMapper.listAll(pd);
	}
	public List<PageData> listAllByDc(PageData pd)throws Exception{
		return riskpointMapper.listAllByDc(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return riskpointMapper.findById(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByIdRes(PageData pd)throws Exception{
		return riskpointMapper.findByIdRes(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		riskpointMapper.deleteAll(ArrayDATA_IDS);
	}


	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void resDeleteAll(String[] ArrayDATA_IDS)throws Exception{
		riskpointMapper.resDeleteAll(ArrayDATA_IDS);
	}

	/**总数统计
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public List<PageData> statisticsAll(PageData pd)throws Exception{
		return riskpointMapper.statisticsAll(pd);
	}
	/**
	 * 列表 搜索 风险单元辨识部位模糊查询
	 * @param page
	 * @return
	 * @throws Exception
	 */
	public List<PageData> getListForLikeName (Page page)throws Exception{
		return riskpointMapper.datalistPageForNameLikes(page);
	}

	/**app增加位置信息
	 * @param pd
	 * @throws Exception
	 */
	public void editLonAndLat(PageData pd) throws Exception {
		// TODO Auto-generated method stub
		riskpointMapper.editLonAndLat(pd);
	}

	@Override
	public String countByCorpInfo(PageData pd) throws Exception {
		// TODO Auto-generated method stub
		return riskpointMapper.countByCorpInfo(pd);
	}
}

